Bug 142939

Summary: [PATCH] sysutils/xfce4-netload-plugin: Adjust OSVERSION in check for BROKEN
Product: Ports & Packages Reporter: Greg Larkin <glarkin>
Component: Individual Port(s)Assignee: Dmitry Sivachenko <demon>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Greg Larkin freebsd_committer 2010-01-18 16:30:08 UTC
sysutils/xfce4-netload-plugin was marked BROKEN on 8.0 (OSVERSION >= 800000) because of a compile error resulting from a missing net/if_ppp.h include file.

net/if_ppp.h was removed for OSVERSION >= 800045, so adjust the check in the Makefile with that version.

Further discussion of the removal of if_ppp(4) can be found here:
http://www.mail-archive.com/svn-src-all@freebsd.org/msg07293.html

A better solution would be to port xfce4-netload-plugin to use ppp(8) instead of if_ppp(4), if possible.

Fix: See attached patch

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-01-18 16:30:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->demon

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-01-26 11:46:19 UTC
demon       2010-01-26 11:46:05 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/xfce4-netload-plugin Makefile 
  Log:
  Adjust OSVERSION the port is broken since.
  
  PR:             142939
  Submitted by:   glarkin
  
  Revision  Changes    Path
  1.31      +1 -1      ports/sysutils/xfce4-netload-plugin/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Dmitry Sivachenko freebsd_committer 2010-01-26 11:50:59 UTC
State Changed
From-To: open->closed

Patch applied, thanks!
Comment 4 bp2626 2010-04-08 05:21:28 UTC
The include file net/if_ppp.h is not needed for compilation. If you simply comment the include (/*#include <net/if_ppp.h>*/ on line 98 of os.h) everything compiles and runs successfully on FreeBSD 8.
 
--------------
sysutils/xfce4-netload-plugin was marked BROKEN on 8.0 (OSVERSION >=
800000) because of a compile error resulting from a missing
net/if_ppp.h include file.



net/if_ppp.h was removed for OSVERSION >= 800045, so adjust the check in the Makefile with that version.



Further discussion of the removal of if_ppp(4) can be found here:

http://www.mail-archive.com/svn-src-all@freebsd.org/msg07293.html



A better solution would be to port xfce4-netload-plugin to use ppp(8) instead of if_ppp(4), if possible.
----------